<?php

namespace idoit\Module\Cmdb\Model\Entry;

use idoit\Module\Cmdb\Interfaces\CollectionInterface;

class ObjectCollection extends AbstractCollection implements CollectionInterface
{
    /**
     * @param ObjectEntry $entry
     *
     * @return ObjectCollection
     */
    public function addEntry(ObjectEntry $entry): ObjectCollection
    {
        $this->entries[$entry->getObjectId()] = $entry;
        return $this;
    }
}
